<?php

namespace plugin\inspection\model;

use plugin\ticket\model\TicketRepair;
use plugin\ticket\model\TicketVerify;
use plugin\ticket\model\TicketView;
use think\admin\Model;

/**
 * 检修员工模型
 * @property InspectionStaff $name
 */
class InspectionStaff extends Model
{
    public function tokens()
    {
        return $this->hasMany(InspectionStaffToken::class, 'staff_id', 'id');
    }

    public function views()
    {
        return $this->hasMany(TicketView::class, 'staff_id', 'id');
    }

    public function repairs()
    {
        return $this->hasMany(TicketRepair::class, 'staff_id', 'id');
    }

    public function verifys()
    {
        return $this->hasMany(TicketVerify::class, 'staff_id', 'id');
    }

    public function records()
    {
        return $this->hasMany(InspectionRecord::class, 'staff_id', 'id');
    }

    public function messages()
    {
        return $this->hasMany(InspectionMessage::class, 'staff_id', 'id');
    }
}